#pragma strict

function Update() {
	if(Input.anyKey) {
		sendInputToServer();
	}
}

function sendInputToServer() {
	var vertical: float = Input.GetAxis("Vertical");
	var horizontal: float = Input.GetAxis("Horizontal");
	if((vertical!=0)||(horizontal!=0)) {
		networkView.RPC("handlePlayerInput",RPCMode.Server,Network.player,vertical, horizontal);
	}
}

@RPC
function handlePlayerInput(player: NetworkPlayer, vertical: float, horizontal: float) {
}

function OnGUI ()
{	
	if (Network.peerType == NetworkPeerType.Disconnected)
	{	
		GUILayout.Label("Not connected to server.");
		if (GUILayout.Button ("Connect to server"))
			connectToServer();					
	}
	else
	{
		if(Network.peerType == NetworkPeerType.Connecting)
			GUILayout.Label("Connecting to server..."); //unity bug: this never happens
		else {
			GUILayout.Label("Connected to server.");
			GUILayout.Label("IP/port: " + Network.player.ipAddress + "/" + Network.player.port);
		}
		if (GUILayout.Button ("Disconnect"))
			disconnectFromServer();
	}
}

var remoteIP = "127.0.0.1";
var remotePort = 25000;

function connectToServer() {
	Debug.Log("Tyring to connect to Server...");
	Network.Connect(remoteIP, remotePort);	
}

function disconnectFromServer() {
	Debug.Log("Tyring to disconnect from the Server...");
	Network.Disconnect();
}

function OnConnectedToServer() {
	Debug.Log("Successfully connected to server as player " + Network.player);
}

function OnDisconnectedFromServer (info : NetworkDisconnection) {
  	if (info == NetworkDisconnection.LostConnection)
    	Debug.Log("Lost connection to the server");
	else
		Debug.Log("Disconnected from the server");
	var gos : GameObject[] = GameObject.FindGameObjectsWithTag("Player");
	for(var go : GameObject in gos) {
		Destroy(go);
	}
}

function OnFailedToConnect (error : NetworkConnectionError)  {
	Debug.Log("Failed to connect to Server: " + error);
}